created:
    - database/factories/AuthUserFactory.php
    - database/migrations/2025_03_06_023837_create_auth_users_table.php
    - app/Models/AuthUser.php
models:
    User: { name: 'string:100', email: 'string:150 unique', password: string, timestamps: timestamps, relationships: { belongsToMany: Role } }
    Role: { name: 'string:50 unique', description: 'string nullable', timestamps: timestamps, relationships: { belongsToMany: User } }
    Setting: { logo: 'string nullable', description: 'text nullable', primary_color: 'string nullable', secondary_color: 'string nullable', created_at: 'timestamp nullable', updated_at: 'timestamp nullable' }
    AuthUser: { id: id, username: string, password: string, last_login: timestamp, is_superuser: boolean, first_name: string, last_name: string, email: string, is_staff: boolean, is_active: boolean, date_joined: timestamp, timestamps: false }
